## mysql-workbench-gpl-5.2.33-src.tar.gz

=== ext/cppconn/cppconn/CMakeLists.txt ===
#   Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
#
#   The MySQL Connector/C++ is licensed under the terms of the GPL
#   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
#   MySQL Connectors. There are special exceptions to the terms and
#   conditions of the GPL as it is applied to this software, see the
#   FLOSS License Exception
#   <http://www.mysql.com/about/legal/licensing/foss-exception.html>.

CHECK_INCLUDE_FILES(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILES(inttypes.h HAVE_INTTYPES_H)

CHECK_TYPE_SIZE("int8_t"   HAVE_INT8_T)
CHECK_TYPE_SIZE("uint8_t"  HAVE_UINT8_T)
CHECK_TYPE_SIZE("int16_t"  HAVE_INT16_T)
CHECK_TYPE_SIZE("uint16_t" HAVE_UINT16_T)
CHECK_TYPE_SIZE("int32_t"  HAVE_INT32_T)
CHECK_TYPE_SIZE("uint32_t" HAVE_UINT32_T)
CHECK_TYPE_SIZE("int64_t"  HAVE_INT64_T)
CHECK_TYPE_SIZE("uint64_t" HAVE_UINT64_T)
CHECK_TYPE_SIZE("__int8"			HAVE_MS_INT8)
CHECK_TYPE_SIZE("unsigned __int8" 	HAVE_MS_UINT8)
CHECK_TYPE_SIZE("__int16"			HAVE_MS_INT16)
CHECK_TYPE_SIZE("unsigned __int16"	HAVE_MS_UINT16)
CHECK_TYPE_SIZE("__int32"			HAVE_MS_INT32)
CHECK_TYPE_SIZE("unsigned __int32"	HAVE_MS_UINT32)
CHECK_TYPE_SIZE("__int64"			HAVE_MS_INT64)
CHECK_TYPE_SIZE("unsigned __int64"	HAVE_MS_UINT64)


CHECK_FUNCTION_EXISTS(strtold HAVE_FUNCTION_STRTOLD)
CHECK_FUNCTION_EXISTS(strtol HAVE_FUNCTION_STRTOL)
CHECK_FUNCTION_EXISTS(strtoll HAVE_FUNCTION_STRTOLL)
CHECK_FUNCTION_EXISTS(strtoul HAVE_FUNCTION_STRTOUL)
CHECK_FUNCTION_EXISTS(strtoull HAVE_FUNCTION_STRTOULL)
CHECK_FUNCTION_EXISTS(strtoimax HAVE_FUNCTION_STRTOIMAX)
CHECK_FUNCTION_EXISTS(strtoumax HAVE_FUNCTION_STRTOUMAX)


CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cm ${CMAKE_CURRENT_BINARY_DIR}/config.h)


SET(MYSQLCPPCONN_INSTALL_HEADERS
		build_config.h
		config.h
		connection.h
		datatype.h
		driver.h
		exception.h
		metadata.h
		parameter_metadata.h
		prepared_statement.h
		resultset.h
		resultset_metadata.h
		statement.h
		sqlstring.h
		warning.h)

INSTALL(FILES ${MYSQLCPPCONN_INSTALL_HEADERS} DESTINATION include/cppconn)

=== ext/cppconn/driver/CMakeLists.txt ===

#   Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
#
#   The MySQL Connector/C++ is licensed under the terms of the GPL
#   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
#   MySQL Connectors. There are special exceptions to the terms and
#   conditions of the GPL as it is applied to this software, see the
#   FLOSS License Exception
#   <http://www.mysql.com/about/legal/licensing/foss-exception.html>.

LINK_DIRECTORIES(${MYSQLCPPCONN_BOOST_LIBRARY_DIRS})


INCLUDE_DIRECTORIES(${MYSQLCPPCONN_SOURCE_DIR})
INCLUDE_DIRECTORIES(${MYSQLCPPCONN_SOURCE_DIR}/cppconn)
INCLUDE_DIRECTORIES(${MYSQLCPPCONN_BOOST_INCLUDE_DIRS})
MESSAGE(STATUS "BOOST_INCLUDE_DIRS=${MYSQLCPPCONN_BOOST_INCLUDE_DIRS}")


SET(MYSQLCPPCONN_TRACE_ENABLE 0 CACHE BOOL "trace-enabled")

IF(MYSQLCPPCONN_TRACE_ENABLE)
	MESSAGE(STATUS "Building with tracing functionality")
	# Visual Studio 8 and up understand Variadic macros
	IF(WIN32)
		IF(CMAKE_GENERATOR MATCHES "Visual Studio 8"
			OR CMAKE_GENERATOR MATCHES "Visual Studio 9"
			OR CMAKE_GENERATOR MATCHES "NMake Makefiles")

			ADD_DEFINITIONS("-DCPPCONN_TRACE_ENABLED")
		ELSE(CMAKE_GENERATOR MATCHES "Visual Studio 8"
				OR CMAKE_GENERATOR MATCHES "Visual Studio 9"
				OR CMAKE_GENERATOR MATCHES "NMake Makefiles")
			MESSAGE(STATUS "Tracing will not be available in this build. VC8 or VC9 is needed.")
		ENDIF(CMAKE_GENERATOR MATCHES "Visual Studio 8"
				OR CMAKE_GENERATOR MATCHES "Visual Studio 9"
				OR CMAKE_GENERATOR MATCHES "NMake Makefiles")
	ELSE(WIN32)
		ADD_DEFINITIONS("-DCPPCONN_TRACE_ENABLED")
	ENDIF(WIN32)
ENDIF(MYSQLCPPCONN_TRACE_ENABLE)

SET(MYSQLCLIENT_STATIC_BINDING 1 CACHE BOOL "enable static binding")

IF(MYSQLCLIENT_STATIC_BINDING)
	MESSAGE(STATUS "Using static libmysql binding")
ELSE(MYSQLCLIENT_STATIC_BINDING)
	MESSAGE(STATUS "Using dynamic libmysql binding")
ENDIF(MYSQLCLIENT_STATIC_BINDING)

IF(NOT MYSQLCLIENT_STATIC_BINDING)
	IF(NOT WIN32)
		CHECK_INCLUDE_FILES(dlfcn.h HAVE_DLFCN_H)
		# We are not on windows and don't have dlfcn.h - so we need static binding
		IF(NOT HAVE_DLFCN_H)
                        MESSAGE(FATAL_ERROR "Dynamic binding has been requested but we cannot find dlfcn.h!")
			SET(MYSQLCLIENT_STATIC_BINDING 1)
		ENDIF(NOT HAVE_DLFCN_H)
	ENDIF(NOT WIN32)
ENDIF(NOT MYSQLCLIENT_STATIC_BINDING)

#-----------------
# CPPFLAGS, CXXFLAGS and LDFLAGS from the environment
SET(MYSQLCPPCONN_DT_RPATH "" CACHE STRING "For dynamic libmysql binding: DT_RPATH to set (default: unset)")

IF(MYSQLCPPCONN_DT_RPATH)
	SET(CMAKE_SKIP_BUILD_RPATH  TRUE)
	SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
	SET(CMAKE_INSTALL_RPATH ${MYSQLCPPCONN_DT_RPATH})
	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH FALSE)

	MESSAGE(STATUS "DT_RPATH set to ${CMAKE_INSTALL_RPATH}")

ELSE(MYSQLCPPCONN_DT_RPATH)
	SET(CMAKE_SKIP_RPATH TRUE)

	MESSAGE(STATUS "DT_RPATH will not be set")

ENDIF(MYSQLCPPCONN_DT_RPATH)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/nativeapi/binding_config.h.cm ${CMAKE_CURRENT_BINARY_DIR}/nativeapi/binding_config.h)

SET(MYSQLCPPCONN_SOURCES
	mysql_art_resultset.cpp
	mysql_art_rset_metadata.cpp
	mysql_connection.cpp
	mysql_debug.cpp
	mysql_driver.cpp
	mysql_metadata.cpp
	mysql_parameter_metadata.cpp
	mysql_prepared_statement.cpp
	mysql_ps_resultset.cpp
	mysql_ps_resultset_metadata.cpp
	mysql_resultbind.cpp
	mysql_resultset.cpp
	mysql_resultset_metadata.cpp
	mysql_statement.cpp
	mysql_util.cpp
	mysql_warning.cpp
	nativeapi/mysql_client_api.cpp
	nativeapi/library_loader.cpp
	nativeapi/mysql_native_driver_wrapper.cpp
	nativeapi/mysql_native_connection_wrapper.cpp
	nativeapi/mysql_native_statement_wrapper.cpp
	nativeapi/mysql_native_resultset_wrapper.cpp
)


IF(WIN32)
	# adding headers to sources, so they will be included to VS projects

	SET(MYSQLCPPCONN_SOURCES
		${MYSQLCPPCONN_SOURCES}
		mysql_art_resultset.h
		mysql_art_rset_metadata.h
		mysql_connection.h
		mysql_debug.h
		mysql_driver.h
		mysql_metadata.h
		mysql_parameter_metadata.h
		mysql_prepared_statement.h
		mysql_ps_resultset.h
		mysql_ps_resultset_metadata.h
		mysql_resultbind.h
		mysql_resultset.h
		mysql_resultset_metadata.h
		mysql_statement.h
		mysql_util.h
		mysql_warning.h
		nativeapi/mysql_client_api.h
		nativeapi/mysql_native_driver_wrapper.h
		nativeapi/native_driver_wrapper.h
		nativeapi/mysql_native_connection_wrapper.h
		nativeapi/native_connection_wrapper.h
		nativeapi/mysql_native_statement_wrapper.h
		nativeapi/native_statement_wrapper.h
		nativeapi/mysql_native_resultset_wrapper.h
		nativeapi/native_resultset_wrapper.h
		../cppconn/warning.h
		../cppconn/statement.h
		../cppconn/sqlstring.h
		../cppconn/resultset_metadata.h
		../cppconn/resultset.h
		../cppconn/prepared_statement.h
		../cppconn/parameter_metadata.h
		../cppconn/metadata.h
		../cppconn/exception.h
		../cppconn/driver.h
		../cppconn/datatype.h
		../cppconn/connection.h
		../cppconn/config.h
		../cppconn/build_config.h
		
	)

	IF(NOT MYSQLCLIENT_STATIC_BINDING)
		SET(MYSQLCPPCONN_SOURCES ${MYSQLCPPCONN_SOURCES}
									nativeapi/library_loader.h)
	ENDIF(NOT MYSQLCLIENT_STATIC_BINDING)

	# Used to create source filter in projects in VS
	SOURCE_GROUP(NativeApi nativeapi/.+)
	SOURCE_GROUP(API ../cppconn/.+)
ENDIF(WIN32)


ADD_LIBRARY(mysqlcppconn SHARED ${MYSQLCPPCONN_SOURCES})
ADD_LIBRARY(mysqlcppconn-static STATIC ${MYSQLCPPCONN_SOURCES})

IF(WIN32)

	INCLUDE_DIRECTORIES(${MYSQL_DIR}/include)
	IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
		LINK_DIRECTORIES(${MYSQL_DIR}/lib/debug)
	ELSEIF(CMAKE_BUILD_TYPE STREQUAL "")
		LINK_DIRECTORIES(${MYSQL_DIR}/lib/opt)
	ENDIF(CMAKE_BUILD_TYPE STREQUAL "Debug")

	SET(MYSQLCPPCONN_SOURCES ${MYSQLCPPCONN_SOURCES} mysqlcppconn.def)


	ADD_DEFINITIONS("-D_CRT_SECURE_NO_WARNINGS")


	#Disables bunch of pretty useless warnings on win
	ADD_DEFINITIONS("-D_SCL_SECURE_NO_WARNINGS")

	IF(MYSQLCLIENT_STATIC_BINDING)
		SET(MY_TARGET_LINK_LIBRARIES_DYNAMIC libmysql ws2_32)
	ELSE(MYSQLCLIENT_STATIC_BINDING)
		SET(MY_TARGET_LINK_LIBRARIES_DYNAMIC ws2_32)
	ENDIF(MYSQLCLIENT_STATIC_BINDING)

	SET(MY_TARGET_LINK_LIBRARIES_STATIC mysqlclient ws2_32)
ELSEIF(NOT WIN32)

	IF(MYSQLCLIENT_STATIC_BINDING)
	  SET(MY_TARGET_LINK_LIBRARIES_DYNAMIC ${MYSQL_LIBRARIES} ${MYSQL_LINK_FLAGS})
		SET(MY_TARGET_LINK_LIBRARIES_STATIC ${MYSQL_LIBRARIES} ${MYSQL_LINK_FLAGS})
	ELSE(MYSQLCLIENT_STATIC_BINDING)
		FOREACH(_lib ${MYSQL_LIBRARIES})
			IF(NOT _lib MATCHES "libmysqlclient.*" AND NOT _lib MATCHES "mysqlclient.*")
				SET(MY_TARGET_LINK_LIBRARIES_DYNAMIC ${MY_TARGET_LINK_LIBRARIES_DYNAMIC} ${_lib})
				SET(MY_TARGET_LINK_LIBRARIES_STATIC ${MY_TARGET_LINK_LIBRARIES_STATIC} ${_lib})
			ENDIF(NOT _lib MATCHES "libmysqlclient.*" AND NOT _lib MATCHES "mysqlclient.*")
		ENDFOREACH(_lib ${MYSQL_LIBRARIES})
		SET(MY_TARGET_LINK_LIBRARIES_DYNAMIC ${MY_TARGET_LINK_LIBRARIES_DYNAMIC} ${MYSQL_LINK_FLAGS} ${CMAKE_DL_LIBS})
		SET(MY_TARGET_LINK_LIBRARIES_STATIC ${MY_TARGET_LINK_LIBRARIES_STATIC} ${MYSQL_LINK_FLAGS} ${CMAKE_DL_LIBS})
	ENDIF(MYSQLCLIENT_STATIC_BINDING)
ENDIF(WIN32)


IF(CMAKE_COMPILER_IS_GNUCC AND MYSQLCPPCONN_GCOV_ENABLE)
	SET(MY_GCOV_LINK_LIBRARIES gcov)
ENDIF(CMAKE_COMPILER_IS_GNUCC AND MYSQLCPPCONN_GCOV_ENABLE)


TARGET_LINK_LIBRARIES(mysqlcppconn	${MY_TARGET_LINK_LIBRARIES_DYNAMIC}
									${MY_GCOV_LINK_LIBRARIES}
									${MYSQLCPPCONN_STLPORT_LIB}
									${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
									${MYSQLCPPCONN_BOOST_THREAD_LIBS}
									${MYSQLCPPCONN_ICU_LIBRARY})

# Need to find way it's defined for mysqlcppconn-static only
#IF(WIN32)
#	ADD_DEFINITIONS("-DCPPCONN_PUBLIC_FUNC=\"\"")
#ENDIF(WIN32)


TARGET_LINK_LIBRARIES(mysqlcppconn-static	${MY_TARGET_LINK_LIBRARIES_STATIC}
											${MY_GCOV_LINK_LIBRARIES}
											${MYSQLCPPCONN_STLPORT_LIB}
											${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
											${MYSQLCPPCONN_BOOST_THREAD_LIBS}
											${MYSQLCPPCONN_ICU_LIBRARY})

MESSAGE("$ENV{CPPFLAGS} ${MYSQL_CXXFLAGS} $ENV{CXXFLAGS}")

SET_TARGET_PROPERTIES(mysqlcppconn-static PROPERTIES
					LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
					COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}"
					COMPILE_DEFINITIONS CPPCONN_LIB_BUILD="")


SET_TARGET_PROPERTIES(mysqlcppconn
					PROPERTIES
					SOVERSION "${MYSQLCPPCONN_SOVERSION}"
					VERSION "${MYSQLCPPCONN_SOVERSION}.${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}"
					LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
					COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}"
					COMPILE_DEFINITIONS CPPCONN_SO_BUILD="")

IF(WIN32)
	INSTALL(TARGETS mysqlcppconn mysqlcppconn-static
		RUNTIME DESTINATION lib
		ARCHIVE DESTINATION lib
	)
ELSE(WIN32)
	INSTALL(TARGETS mysqlcppconn mysqlcppconn-static
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
	)
ENDIF(WIN32)


# Install some MySQL specific headers
SET(MYSQLCPPCONN_SPECIFIC_INSTALL_HEADERS
		mysql_connection.h
		mysql_driver.h)

INSTALL(FILES ${MYSQLCPPCONN_SPECIFIC_INSTALL_HEADERS} DESTINATION include)


MESSAGE(STATUS "Configuring driver")

=== ext/cppconn/win/CMakeLists.txt ===
#   Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
#
#   The MySQL Connector/C++ is licensed under the terms of the GPL
#   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
#   MySQL Connectors. There are special exceptions to the terms and
#   conditions of the GPL as it is applied to this software, see the
#   FLOSS License Exception
#   <http://www.mysql.com/about/legal/licensing/foss-exception.html>.

CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

# This is Windows only, so just set one of two possible

SET(CONNECTOR_PLATFORM "Intel")
SET(CONNECTOR_PLATFORM_SUFFIX "win32")
SET(CONNECTOR_DEFAULT_DEST "ProgramFilesFolder")
IF(CMAKE_SIZEOF_VOID_P MATCHES 8)
  SET(CONNECTOR_PLATFORM "x64")
  SET(CONNECTOR_PLATFORM_SUFFIX "winx64")
  SET(CONNECTOR_DEFAULT_DEST "ProgramFiles64Folder")
ENDIF(CMAKE_SIZEOF_VOID_P MATCHES 8)


INCLUDE("config.cmake")


#####################################
# Looking for ms redistributable libs

SET(THE_MACHINE "x86")
SET(CRT_VERSION "90")

SET(MSVCRTX_REDIST_DIR "$ENV{VCINSTALLDIR}\\redist")

EXECUTE_PROCESS(COMMAND "dumpbin" "/DEPENDENTS" "${CMAKE_SOURCE_DIR}/../driver/RelWithDebInfo/mysqlcppconn.dll"
				OUTPUT_VARIABLE CPPLIB_DEPENDENCIES
				)

IF(${CPPLIB_DEPENDENCIES} MATCHES ".*MSVC.([0-9]+)[.]dll.*")
	STRING(REGEX REPLACE ".*MSVC.([0-9]+)[.]dll.*" "\\1" CRT_VERSION "${CPPLIB_DEPENDENCIES}")
ENDIF(${CPPLIB_DEPENDENCIES} MATCHES ".*MSVC.([0-9]+)[.]dll.*")

STRING(REGEX MATCHALL "(MSVC.[0-9][0-9][.]dll)" DEPENDENTS "${CPPLIB_DEPENDENCIES}")


# MESSAGE("${CRT_VERSION} ${MSVCRTX_REDIST_DIR} ${DEPENDENTS} ${MACHINE}")

FOREACH(_dir $ENV{LIB})
	# MESSAGE("${_dir}")
	# $ENV{VCINSTALLDIR}
	IF(${_dir} MATCHES ".+[\\]VC[\\]LIB[\\]([^\\]+)$")
		STRING(REGEX REPLACE ".+[\\]LIB[\\]([^\\]+)$" "\\1" THE_MACHINE "${_dir}")
		#MESSAGE("======= Have match for machine")
	ENDIF(${_dir} MATCHES ".+[\\]VC[\\]LIB[\\]([^\\]+)$")
ENDFOREACH(_dir $ENV{LIB})

# MESSAGE("-=${THE_MACHINE}=-")

SET(REQUIRED_REDISTRIBUTABLE_LIBS "")
SET(counter "1")
FOREACH(arg ${DEPENDENTS})
	MESSAGE(STATUS "Adding found dependency lib: ${THE_MACHINE}\\${arg}")
	SET(REQUIRED_REDISTRIBUTABLE_LIBS "${REQUIRED_REDISTRIBUTABLE_LIBS}
<File Id=\"file016${counter}\" Name=\"${arg}\" LongName=\"${arg}\" Source=\"${MSVCRTX_REDIST_DIR}\\${THE_MACHINE}\\Microsoft.VC${CRT_VERSION}.CRT\\${arg}\" />")

	MATH( EXPR counter "${counter} + 1" )
ENDFOREACH(arg ${DEPENDENTS})

SET(CONNECTOR_PRODUCT_DEST "MySQL Connector C++ ${CONNECTOR_PRODUCT_VERSION}")

# Generate GUID
EXECUTE_PROCESS(COMMAND uuidgen
                OUTPUT_VARIABLE CONNECTOR_PKG_ID1)
STRING(STRIP ${CONNECTOR_PKG_ID1} CONNECTOR_PKG_ID1)
EXECUTE_PROCESS(COMMAND uuidgen
                OUTPUT_VARIABLE CONNECTOR_PKG_ID2)
STRING(STRIP ${CONNECTOR_PKG_ID2} CONNECTOR_PKG_ID2)

# check if wix is in current path #
FIND_PATH(CONNECTOR_WIX_DIR candle.exe
        $ENV{CONNECTOR_WIX_DIR}
        $ENV{WIX_DIR}
        $ENV{WIX_DIR}/bin
        $ENV{ProgramFiles}/wix/bin
        $ENV{ProgramFiles}/Windows Installer */bin)

IF(NOT CONNECTOR_WIX_DIR)
  MESSAGE(ERROR "Wix not found. Please change your environment variable PATH or specify WIX_DIR")
ENDIF(NOT CONNECTOR_WIX_DIR)

IF (CONNECTOR_SIGNED)
  FIND_PROGRAM(HAVE_MD5SUM NAMES md5sum
  PATH ENV PATH)
  IF(NOT HAVE_MD5SUM)
    MESSAGE(ERROR "Can't find md5sum")
  ENDIF(NOT HAVE_MD5SUM)

  FIND_PROGRAM(HAVE_SIGNTOOL NAMES signtool
  PATH ENV PATH)
  IF(NOT HAVE_SIGNTOOL)
    MESSAGE(ERROR "Can't find signtool")
  ENDIF(NOT HAVE_SIGNTOOL)
ENDIF (CONNECTOR_SIGNED)

IF(NOT EXTRA_NAME_SUFFIX)
  SET(EXTRA_NAME_SUFFIX "")
ENDIF(NOT EXTRA_NAME_SUFFIX)

SET(WIXOUT "mysql-connector-c++${EXTRA_NAME_SUFFIX}-${CONNECTOR_PRODUCT_VERSION}${CONNECTOR_PRODUCT_LEVEL}-${CONNECTOR_PLATFORM_SUFFIX}")

SET(ProductURN "MSQZP-100-ZZZZ")

IF(EXISTS "../COPYING")
  SET(LIC_SHORT_NAME "COPYING")
  SET(LIC_NAME       "COPYING")
ELSE(EXISTS "../COPYING")
  SET(LIC_SHORT_NAME "LICENSE.mys")
  SET(LIC_NAME       "LICENSE.mysql")
ENDIF(EXISTS "../COPYING")

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/mysql-conncpp-msi-template.xml.in
               ${CMAKE_CURRENT_SOURCE_DIR}/mysql-conncpp-msi-template.${CONNECTOR_PLATFORM}.xml @ONLY)

MESSAGE(STATUS "${WIXOUT}")

ADD_CUSTOM_COMMAND(OUTPUT "${WIXOUT}.wixobj"
                   COMMAND ${CONNECTOR_WIX_DIR}/candle mysql-conncpp-msi-template.${CONNECTOR_PLATFORM}.xml mysql-conncpp-msi-ui.xml mysql-conncpp-msi-registration.xml)

ADD_CUSTOM_COMMAND(OUTPUT ${WIXOUT}.msi
                   COMMAND ${CONNECTOR_WIX_DIR}/light -o ${WIXOUT}.msi mysql-conncpp-msi-template.${CONNECTOR_PLATFORM}.wixobj mysql-conncpp-msi-ui.wixobj mysql-conncpp-msi-registration.wixobj ${CONNECTOR_WIX_DIR}/WixUI.wixlib ${CONNECTOR_WIX_DIR}/wixca.wixlib -loc ${CONNECTOR_WIX_DIR}/WixUI_en-us.wxl
                   DEPENDS "${WIXOUT}.wixobj")

ADD_CUSTOM_TARGET(MSI ALL DEPENDS "${WIXOUT}.msi")

IF(CONNECTOR_SIGNED)
  ADD_CUSTOM_COMMAND(OUTPUT "${WIXOUT}.msi.md5"
                     COMMAND signtool sign -a -d "MySQL Connector C++ ${CONECTOR_PRODUCT_VERSION}" -du "http://www.mysql.com" -t "http://timestamp.verisign.com/scripts/timestamp.dll" ${WIXOUT}.msi
                     COMMAND md5sum ${WIXOUT}.msi > ${WIXOUT}.msi.md5)
  ADD_CUSTOM_TARGET(MSI_SIGNED ALL DEPENDS "${WIXOUT}.msi.md5")
ENDIF(CONNECTOR_SIGNED)

=== build/debian/changelog ===
mysql-workbench (5.2.33-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Tue, 08 Mar 2011 19:55:03 -0300

mysql-workbench (5.2.32-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Fri, 03 Dec 2010 11:40:34 -0300

mysql-workbench (5.2.31-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Tue, 23 Nov 2010 12:27:21 -0300

mysql-workbench (5.2.30-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Wed, 29 Sep 2010 19:08:45 -0300

mysql-workbench (5.2.29-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Thu, 16 Sep 2010 21:11:21 -0300

mysql-workbench (5.2.28-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Tue, 24 Aug 2010 10:06:33 -0300

mysql-workbench (5.2.26-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <akojima@gmail.com>  Thu, 22 Jul 2010 12:58:44 -0300

mysql-workbench (5.2.25-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 24 Jun 2010 23:44:27 -0300

mysql-workbench (5.2.24-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 17 Jun 2010 00:05:25 -0300

mysql-workbench (5.2.23-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 10 Jun 2010 12:57:48 -0300

mysql-workbench (5.2.22-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 27 May 2010 23:05:25 -0300

mysql-workbench (5.2.21-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Sat, 01 May 2010 19:27:07 -0300

mysql-workbench (5.2.20-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Sat, 24 Apr 2010 14:19:45 -0300

mysql-workbench (5.2.19-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 15 Apr 2010 09:45:19 -0300

mysql-workbench (5.2.18-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Sun, 11 Apr 2010 00:55:22 -0300

mysql-workbench (5.2.17-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Mon, 22 Feb 2010 10:46:37 +0100

mysql-workbench (5.2.16-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Wed, 10 Feb 2010 17:46:06 -0300

mysql-workbench (5.2.15-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Mon, 25 Jan 2010 10:49:16 -0300

mysql-workbench (5.2.14-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Wed, 20 Jan 2010 15:34:01 +0100

mysql-workbench (5.2.13-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Tue, 19 Jan 2010 00:50:59 -0300

mysql-workbench (5.2.12-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Fri, 15 Jan 2010 09:32:44 +0100

mysql-workbench (5.2.11-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Fri, 11 Dec 2009 14:55:19 +0100

mysql-workbench (5.2.10-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Mon, 30 Nov 2009 12:47:31 +0100

mysql-workbench (5.2.9-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Thu, 26 Nov 2009 00:37:14 +0100

mysql-workbench (5.2.8-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Mon, 16 Nov 2009 12:24:42 -0300

mysql-workbench (5.2.7-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Wed, 21 Oct 2009 14:50:08 +0200

mysql-workbench (5.2.6-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Tue, 20 Oct 2009 22:32:21 +0200

mysql-workbench (5.2.5-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Wed, 14 Oct 2009 13:58:09 +0200

mysql-workbench (5.2.4-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Tue, 29 Sep 2009 21:28:09 -0300

mysql-workbench (5.2.3-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Thu, 10 Sep 2009 11:14:08 -0300

mysql-workbench (5.2.2-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Mon, 20 Jul 2009 14:33:42 -0300

mysql-workbench (5.2.1-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Thu, 21 May 2009 13:55:51 +0200

mysql-workbench (5.1.12-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Wed, 22 Apr 2009 09:16:31 -0700

mysql-workbench (5.1.11-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Fri, 17 Apr 2009 22:39:51 +0200

mysql-workbench (5.1.10-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Tue, 07 Apr 2009 19:00:15 +0200

mysql-workbench (5.1.9-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Fri, 20 Mar 2009 00:56:34 +0100

mysql-workbench (5.1.8-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Wed, 11 Mar 2009 20:37:07 -0200

mysql-workbench (5.1.7-2) unstable; urgency=low

  * Added build-depends (thanks to Pantelis Koukousoulas)
  * Updated for Python dependency

 -- Alfredo Kojima <kojima@sun.com>  Mon, 02 Feb 2009 20:49:11 -0200

mysql-workbench (5.1.7-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Fri, 30 Jan 2009 15:21:11 -0200

mysql-workbench (5.1.6-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Tue, 23 Dec 2008 22:51:51 -0200

mysql-workbench (5.1.5-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <akojima@gui-srva>  Fri, 05 Dec 2008 18:00:37 +0100

mysql-workbench (5.1.4-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <akojima@gui-srva>  Thu, 06 Nov 2008 23:21:05 +0100



=== build/debian/control ===
Source: mysql-workbench
Section: utils
Priority: extra
Maintainer: MySQL Workbench team <workbench@sun.com>
Build-Depends: debhelper (>= 5), autoconf, automake, libtool, libzip-dev, libgtkmm-2.4-dev, libxml2-dev, libglade2-dev, libgnome2-dev, libmysqlclient16-dev, libgl1-mesa-dev, libpcre3-dev, liblua5.1-0-dev, python-dev (>= 2.5), python-pexpect, libgnome-keyring-dev, libsqlite3-dev, libboost-dev
Standards-Version: 3.7.2
Homepage: http://dev.mysql.com/workbench/

Package: mysql-workbench-gpl
Replaces: mysql-workbench-oss
Architecture: i386 amd64
Depends: ${shlibs:Depends}, python-paramiko, python-pexpect, mysql-client, python-pysqlite2
Suggests: gnome-keyring
Description: MySQL Workbench
 MySQL Workbench is a modeling tool that allows you to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.
